Subject: Re: Bug#74: defcustom keyword :custom-show isn't documented

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 06 Jul 2011 19:27:39 +0200

Glenn Morris <[email-masked]> writes:

>> Neither the doc string of `defcustom', nor the manual explains it.
>
> It seems that it (:custom-show) is supposed to make the variable value
> field be hidden by default when it is created. In other words, make the
> custom buffer look like you have clicked the "Hide the value of this
> option" button.
>
> The idea is that when a variable has a complex value, it should be
> hidden by default, to avoid cluttering up the display.
>
> However, AFAICS it doesn't work (in Emacs 21, 22, or 23).
> custom-variable-value-create only uses custom-show when a variable has a
> nil :custom-state. Since variables are created with state 'unknown, it
> never does anything.
>
> Making the obvious change doesn't work (the variable is created hidden
> ok, but can't be unhidden by clicking the relevant button).
>
> Given that it seems never to have worked, I'm not sure it's worth
> bothering trying to fix it. It's only used in gnus-art (and cus-edit
> tries to apply it to long editable-fields).

Perhaps we should just remove the usages, and mark :custom-show as
obsolete?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/